# Introduction

Connext provides the simplest possible experience for building xchain applications (**xApps**).

Building a xApp requires only two straightforward steps:

1. Implement `xReceive` in the destination chain contract. This is the function that receives the payload you pass across chains.
2. Call `xcall` on the origin chain, passing in your payload and relayer fees.

Get started with the [Quickstart](/developers/quickstart.md)!

***

## Important Concepts

### Fast Path vs. Slow Path

Take a moment to review the [Transaction Lifecycle](/concepts/how-it-works/transaction-lifecycle.md). Here we introduce the concept of "fast path" and "slow path" (authenticated) transfers. The differentiation is crucial to understand for any cross-chain project. Then, try it out with our [Authentication guide](/developers/guides/authentication.md).

### Relayer Fees

Check out our [guide on relayer fees](/developers/guides/estimating-fees.md) and how to estimate them.

### Handling Failures

You should always build in contingency for [failed calls](/developers/guides/handling-failures.md).

### Tracking xCalls

Dive into the c[urrent status of an `xcall`](/developers/guides/xcall-status.md).

### Nested xCalls

You can even [chain `xcall`](/developers/guides/nested-xcalls.md)`s` across domains! :open\_mouth:

### Chain Abstraction

Create [seamless cross-chain interactions](/usecases/chain-abstraction/chain-abstraction-guide.md) without having to switch chains! 🤯

***

## Help

Have questions or need support? Our core team and vibrant community members are highly active in our Discord server!

[Chat with us!](https://discord.gg/everclear)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.connext.network/developers/intro.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
